org.apache.lucene.analysis.icu

## Class ICUNormalizer2FilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.icu.ICUNormalizer2FilterFactory

- All Implemented Interfaces:
    MultiTermAwareComponent

      public class ICUNormalizer2FilterFactory
      extends TokenFilterFactory
      implements MultiTermAwareComponent

  Factory for `ICUNormalizer2Filter`

  Supports the following attributes:

  - name: A Unicode Normalization Form, one of 'nfc','nfkc', 'nfkc_cf'. Default is nfkc_cf.
  - mode: Either 'compose' or 'decompose'. Default is compose. Use "decompose" with nfc or nfkc, to get nfd or nfkd, respectively.
  - filter: A `UnicodeSet` pattern. Codepoints outside the set are always left unchanged. Default is [] (the null set, no filtering).
  See Also:
    `ICUNormalizer2Filter`, `Normalizer2`, `FilteredNormalizer2`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `args, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICUNormalizer2FilterFactory()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)`
    `AbstractAnalysisFactory` | `getMultiTermComponent()`
    `void` | `init(Map<String,String> args)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICUNormalizer2FilterFactory

          public ICUNormalizer2FilterFactory()

      Sole constructor. See `AbstractAnalysisFactory` for initialization lifecycle.

  - ### Method Detail

    - #### init

          public void init(Map<String,String> args)

      Overrides:
        `init` in class `AbstractAnalysisFactory`

    - #### create

          public TokenStream create(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.